Bug 14292 - kftpgrabber-0.8.1-alt1. Падает при закачке.
: kftpgrabber-0.8.1-alt1. Падает при закачке.
Status: CLOSED WONTFIX
: Branch 5.1
(All bugs in Branch 5.1/kftpgrabber)
: unspecified
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2008-02-02 19:26 by
Modified: 2011-01-22 18:17 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2008-02-02 19:26:29
При запуске:
kftpgrabber: WARNING: Failed to create avahi client
QLayout "unnamed" added to KFTPWidgets::Browser::View "", which already has a layout
QLayout "unnamed" added to KFTPWidgets::Browser::View "", which already has a layout

Через некоторое время работы падает.

*** glibc detected *** kftpgrabber: malloc(): memory corruption (fast):
0x0846e207 ***
======= Backtrace: =========
/lib/libc.so.6[0xb772fe32]
/lib/libc.so.6[0xb77321c7]
/lib/libc.so.6(__libc_malloc+0x7e)[0xb773325e]
/usr/lib/libstdc++.so.6(_Znwj+0x27)[0xb78d93c7]
/usr/lib/libqt-mt.so.3(_ZN7QStringC1Eib+0x36)[0xb757b9e8]
/usr/lib/libqt-mt.so.3(_ZNK7QString3midEjj+0x91)[0xb757cfb1]
kftpgrabber[0x80f2a8d]
kftpgrabber[0x80f7293]
kftpgrabber[0x80ebf31]
/usr/lib/libqt-mt.so.3(_ZN15QThreadInstance5startEPv+0x8c)[0xb7324d34]
/lib/libpthread.so.0[0xb6e21f63]
/lib/libc.so.6(clone+0x5e)[0xb77891de]
======= Memory map: ========
08048000-0817f000 r-xp 00000000 08:01 818237     /usr/bin/kftpgrabber
0817f000-08182000 rwxp 00136000 08:01 818237     /usr/bin/kftpgrabber
08182000-085d0000 rwxp 08182000 00:00 0          [heap]
b0c00000-b0c01000 ---p b0c00000 00:00 0
b0c01000-b1400000 rwxp b0c01000 00:00 0
b1400000-b1401000 ---p b1400000 00:00 0
b1401000-b1c00000 rwxp b1401000 00:00 0
b1c00000-b1c01000 ---p b1c00000 00:00 0
b1c01000-b2400000 rwxp b1c01000 00:00 0
b2400000-b2401000 ---p b2400000 00:00 0
b2401000-b2c00000 rwxp b2401000 00:00 0
b2c00000-b2c01000 ---p b2c00000 00:00 0
b2c01000-b3400000 rwxp b2c01000 00:00 0
b3400000-b3401000 ---p b3400000 00:00 0
b3401000-b3c00000 rwxp b3401000 00:00 0
b3c00000-b3c01000 ---p b3c00000 00:00 0
b3c01000-b4400000 rwxp b3c01000 00:00 0
b4400000-b4401000 ---p b4400000 00:00 0
b4401000-b4c00000 rwxp b4401000 00:00 0
b4c00000-b4c01000 ---p b4c00000 00:00 0
b4c01000-b5463000 rwxp b4c01000 00:00 0
b5463000-b5500000 ---p b5463000 00:00 0
b5500000-b55c4000 rwxp b5500000 00:00 0
b55c4000-b5600000 ---p b55c4000 00:00 0
b5600000-b5700000 rwxp b5600000 00:00 0
b5732000-b5740000 r-xp 00000000 08:01 324713     /lib/libresolv-2.5.1.so
b5740000-b5742000 rwxp 0000e000 08:01 324713     /lib/libresolv-2.5.1.so
b5742000-b5744000 rwxp b5742000 00:00 0
b5744000-b5748000 r-xp 00000000 08:01 324489     /lib/libnss_dns-2.5.1.so
b5748000-b574a000 rwxp 00003000 08:01 324489     /lib/libnss_dns-2.5.1.so
b574a000-b5752000 r-xp 00000000 08:01 324524     /lib/libnss_nis-2.5.1.so
b5752000-b5754000 rwxp 00007000 08:01 324524     /lib/libnss_nis-2.5.1.so
b5754000-b5766000 r-xp 00000000 08:01 324710     /lib/libnsl-2.5.1.so
b5766000-b5768000 rwxp 00011000 08:01 324710     /lib/libnsl-2.5.1.so
b5768000-b576a000 rwxp b5768000 00:00 0
b5779000-b577a000 rwxp b5779000 00:00 0
b577a000-b5782000 r-xp 00000000 08:01 324711     /lib/libnss_files-2.5.1.so
b5782000-b5784000 rwxp 00007000 08:01 324711     /lib/libnss_files-2.5.1.so
b5784000-b5785000 ---p b5784000 00:00 0
b5785000-b5f84000 rwxp b5785000 00:00 0
b5f84000-b604a000 r-xs 00000000 08:01 211170     /var/tmp/kdecache-evgen/ksycoca
b604a000-b604b000 ---p b604a000 00:00 0
b604b000-b684a000 rwxp b604b000 00:00 0
b684a000-b6898000 r-xp 00000000 08:01 845290    
/usr/share/fonts/ttf/j2se-sun/LucidaSansDemiBold.ttf
b6898000-b689a000 r-xp 00000000 08:01 811619     /usr/lib/gconv/KOI8-R.so
b689a000-b689c000 rwxp 00001000 08:01 811619     /usr/lib/gconv/KOI8-R.so
b689c000-b68bc000 r-xp 00000000 08:01 812739    
/usr/share/locale/ru/LC_MESSAGES/libc.mo
b68bc000-b6967000 r-xp 00000000 08:01 845291    
/usr/share/fonts/ttf/j2se-sun/LucidaSansRegular.ttf
b6967000-b6989000 r-xp 00000000 08:01 813774     /usr/lib/libpng12.so.0.23.0
b6989000-b698a000 rwxp 00022000 08:01 813774     /usr/lib/libpng12.so.0.23.0
b698a000-b69b7000 r-xp 00000000 08:01 813231     /usr/lib/liblcms.so.1.0.17
b69b7000-b69b9000 rwxp 0002c000 08:01 813231     /usr/lib/liblcms.so.1.0.17
b69b9000-b69bb000 rwxp b69b9000 00:00 0
b69bb000-b6a18000 r-xp 00000000 08:01 813771     /usr/lib/libmng.so.1.0.9
b6a18000-b6a1b000 rwxp 0005c000 08:01 813771     /usr/lib/libmng.so.1.0.9
b6a1b000-b6a25000 r-xp 00000000 08:01 324647     /lib/libnss_nisplus-2.5.1.so
b6a25000-b6a27000 rwxp 00009000 08:01 324647     /lib/libnss_nisplus-2.5.1.so
b6a27000-b6a2a000 r-xp 00000000 08:01 862021     /usr/lib/kde3/kgzipfilter.so
b6a2a000-b6a2b000 rwxp 0000KCrash: Application 'kftpgrabber' crashing...
------- Comment #1 From 2008-02-02 19:29:27 -------
И как это предлагается диагностировать?
С дебагом соберите для начала.
------- Comment #2 From 2008-06-13 13:00:39 -------
*** This bug has been confirmed by popular vote. ***
------- Comment #3 From 2011-01-22 16:58:01 -------
Видимо, баг остался в p5/5.1 -- в сизифе этого пакета уже нет.
------- Comment #4 From 2011-01-22 18:17:52 -------
(В ответ на комментарий №3)
> Видимо, баг остался в p5/5.1 -- в сизифе этого пакета уже нет.
Раз нет в Сизифе, закрываем как RESOLVED WONTFIX